> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/documents/download-workflow-documents.md).

# Download Workflow Documents

## POST /api/Public/DownloadWorkFlowDocumentByWorkflowId/enc/DownloadWorkflowDocument

> Download workflow document (encrypted)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DownloadWorkFlowDocumentByWorkflowId"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.EncryptedRequestDto":{"type":"object","properties":{"kid":{"type":"string","nullable":true},"key":{"type":"string","nullable":true},"data":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DownloadWorkFlowDocumentByWorkflowId/enc/DownloadWorkflowDocument":{"post":{"tags":["DownloadWorkFlowDocumentByWorkflowId"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.EncryptedRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Download workflow document (encrypted)","operationId":"post_DownloadWorkFlowDocumentByWorkflowId_enc_DownloadWorkflowDocument"}}}}
```

## GET /api/Public/DownloadWorkFlowDocumentByWorkflowId/download-documents

> Download documents \[GET]

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DownloadWorkFlowDocumentByWorkflowId"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/DownloadWorkFlowDocumentByWorkflowId/download-documents":{"get":{"tags":["DownloadWorkFlowDocumentByWorkflowId"],"parameters":[{"name":"workflowid","in":"query","schema":{"type":"integer","format":"int32","default":0}},{"name":"DocumentID","in":"query","schema":{"type":"integer","format":"int32","default":0}},{"name":"referenceNo","in":"query","schema":{"type":"string","default":""}},{"name":"isMerged","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}},"summary":"Download documents [GET]","operationId":"get_DownloadWorkFlowDocumentByWorkflowId_download_documents"}}}}
```

## POST /api/Public/DownloadWorkFlowDocumentByWorkflowId/download-documents

> Download documents \[POST]

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DownloadWorkFlowDocumentByWorkflowId"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.DocumentDownloadRequest":{"required":["workflowid"],"type":"object","properties":{"workflowid":{"type":"integer","format":"int32"},"documentId":{"type":"integer","format":"int32"},"referenceNo":{"maxLength":200,"type":"string","nullable":true},"isMerged":{"type":"boolean"},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DownloadWorkFlowDocumentByWorkflowId/download-documents":{"post":{"tags":["DownloadWorkFlowDocumentByWorkflowId"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.DocumentDownloadRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Download documents [POST]","operationId":"post_DownloadWorkFlowDocumentByWorkflowId_download_documents"}}}}
```

## GET /api/Public/DownloadWorkFlowDocumentByWorkflowId/download-file/{documentId}

> Download file

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DownloadWorkFlowDocumentByWorkflowId"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/DownloadWorkFlowDocumentByWorkflowId/download-file/{documentId}":{"get":{"tags":["DownloadWorkFlowDocumentByWorkflowId"],"parameters":[{"name":"documentId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Download file","operationId":"get_DownloadWorkFlowDocumentByWorkflowId_download_file_documentId"}}}}
```
